Subject: [bug#63517] Fixing lcov usage?

From: Luca Cirrottola <[email-masked]>
Date: Wed, 24 May 2023 14:36:09 +0200 (CEST)

Hello Ludo',
I could have bet there was a more elegant solution :-)
It works like a charm, thanks!

Luca

----- Mail original -----
> De: "Ludovic Courtès" <[email-masked]>
> À: "Luca Cirrottola" <[email-masked]>
> Cc: [email-masked]
> Envoyé: Lundi 22 Mai 2023 17:29:19
> Objet: Re: bug#63517: Fixing lcov usage?

> Hi Luca,
> 
> Luca Cirrottola <[email-masked]> skribis:
> 
>> I want use lcov to generate a coverage report for a C program, but I find out I
>> always need to add "findutils" package to my shell in order for "lcov" to work.
>> Shouldn't "findutils" be added to the propagated-inputs of "lcov", to have it
>> available at runtime?
> 
> I took a slightly less intrusive approach:
> 
>  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=88a2871d8f82a7280486c2a30cc9b510ee8b2b5c
> 
> Thanks for the bug report & proposal!
> 
> Ludo’.

-- 
Luca CIRROTTOLA 
Research software engineer @ INRIA - research center of the university of Bordeaux and Pau 
Personal webpage: [ https://lcirrottola.github.io/ | https://lcirrottola.github.io/ ] 
Tel: +33 5 2 4 57 41 21 
200 Avenue de la Vieille Tour 
33405 Talence cedex 
France